## starpu 1.4.9+dfsg

=== examples/fortran/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2025  University of Bordeaux, CNRS (LaBRI UMR 5800), Inria
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.
#
FC=gfortran
CFLAGS+= -g -Wall
FFLAGS+= -g -Wall

all: hello

hello.F: starpu_fortran.h

hello: hello.F hello_c.o

clean:
	rm -f *.o *.mod hello

=== min-dgels/base/Makefile ===
#
#  Top Level Makefile for LAPACK
#  Version 3.2.1
#  June 2009
#

include make.inc

all: lib

lib: f2clib blaslib

clean: cleanlib

blaslib:
	( cd BLAS/SRC; $(MAKE) )

f2clib:
	    ( cd F2CLIBS/libf2c; $(MAKE) )

cleanlib:
	( cd BLAS/SRC; $(MAKE) clean )
	( cd SRC; $(MAKE) clean )
	( cd SRC/VARIANTS; $(MAKE) clean )
	( cd F2CLIBS/libf2c; $(MAKE) clean )

=== min-dgels/base/SRC/Makefile ===
TOPDIR=..
include $(TOPDIR)/make.inc


#######################################################################
#  This is the makefile to create a library for LAPACK.
#  The files are organized as follows:
#       ALLAUX -- Auxiliary routines called from all precisions
#       ALLXAUX -- Auxiliary routines called from all precisions but
#                  only from routines using extra precision.
#       SCLAUX -- Auxiliary routines called from both REAL and COMPLEX
#       DZLAUX -- Auxiliary routines called from both DOUBLE PRECISION
#                 and COMPLEX*16
#       SLASRC -- Single precision real LAPACK routines
#       SXLASRC -- Single precision real LAPACK routines using extra
#                  precision.
#       CLASRC -- Single precision complex LAPACK routines
#       CXLASRC -- Single precision complex LAPACK routines using extra
#                  precision.
#       DLASRC -- Double precision real LAPACK routines
#       DXLASRC -- Double precision real LAPACK routines using extra
#                  precision.
#       ZLASRC -- Double precision complex LAPACK routines
#       ZXLASRC -- Double precision complex LAPACK routines using extra
#                  precision.
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       lapack.a
#  and is created at the next higher directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#  ***Note***
#  The functions lsame, second, dsecnd, slamch, and dlamch may have
#  to be installed before compiling the library.  Refer to the
#  installation guide, LAPACK Working Note 41, for instructions.
#
#######################################################################

ALLAUX = maxloc.o ilaenv.o ieeeck.o lsamen.o xerbla.o xerbla_array.o iparmq.o	\
    ilaprec.o ilatrans.o ilauplo.o iladiag.o chla_transtype.o \
    ../INSTALL/ilaver.o ../INSTALL/lsame.o

ALLXAUX =

DZLAUX = \
   dbdsdc.o \
   dbdsqr.o ddisna.o dlabad.o dlacpy.o dladiv.o dlae2.o  dlaebz.o \
   dlaed0.o dlaed1.o dlaed2.o dlaed3.o dlaed4.o dlaed5.o dlaed6.o \
   dlaed7.o dlaed8.o dlaed9.o dlaeda.o dlaev2.o dlagtf.o \
   dlagts.o dlamrg.o dlanst.o \
   dlapy2.o dlapy3.o dlarnv.o \
   dlarra.o dlarrb.o dlarrc.o dlarrd.o dlarre.o dlarrf.o dlarrj.o \
   dlarrk.o dlarrr.o dlaneg.o \
   dlartg.o dlaruv.o dlas2.o  dlascl.o \
   dlasd0.o dlasd1.o dlasd2.o dlasd3.o dlasd4.o dlasd5.o dlasd6.o \
   dlasd7.o dlasd8.o dlasda.o dlasdq.o dlasdt.o \
   dlaset.o dlasq1.o dlasq2.o dlasq3.o dlasq4.o dlasq5.o dlasq6.o \
   dlasr.o  dlasrt.o dlassq.o dlasv2.o dpttrf.o dstebz.o dstedc.o \
   dsteqr.o dsterf.o dlaisnan.o disnan.o \
   ../INSTALL/dlamch.o ../INSTALL/dsecnd.o

DLASRC = \
   dgbbrd.o dgbcon.o dgbequ.o dgbrfs.o dgbsv.o  \
   dgbsvx.o dgbtf2.o dgbtrf.o dgbtrs.o dgebak.o dgebal.o dgebd2.o \
   dgebrd.o dgecon.o dgeequ.o dgees.o  dgeesx.o dgeev.o  dgeevx.o \
   dgegs.o  dgegv.o  dgehd2.o dgehrd.o dgelq2.o dgelqf.o \
   dgels.o  dgelsd.o dgelss.o dgelsx.o dgelsy.o dgeql2.o dgeqlf.o \
   dgeqp3.o dgeqpf.o dgeqr2.o dgeqrf.o dgerfs.o dgerq2.o dgerqf.o \
   dgesc2.o dgesdd.o dgesv.o  dgesvd.o dgesvx.o dgetc2.o dgetf2.o \
   dgetrf.o dgetri.o \
   dgetrs.o dggbak.o dggbal.o dgges.o  dggesx.o dggev.o  dggevx.o \
   dggglm.o dgghrd.o dgglse.o dggqrf.o \
   dggrqf.o dggsvd.o dggsvp.o dgtcon.o dgtrfs.o dgtsv.o  \
   dgtsvx.o dgttrf.o dgttrs.o dgtts2.o dhgeqz.o \
   dhsein.o dhseqr.o dlabrd.o dlacon.o dlacn2.o \
   dlaein.o dlaexc.o dlag2.o  dlags2.o dlagtm.o dlagv2.o dlahqr.o \
   dlahrd.o dlahr2.o dlaic1.o dlaln2.o dlals0.o dlalsa.o dlalsd.o \
   dlangb.o dlange.o dlangt.o dlanhs.o dlansb.o dlansp.o \
   dlansy.o dlantb.o dlantp.o dlantr.o dlanv2.o \
   dlapll.o dlapmt.o \
   dlaqgb.o dlaqge.o dlaqp2.o dlaqps.o dlaqsb.o dlaqsp.o dlaqsy.o \
   dlaqr0.o dlaqr1.o dlaqr2.o dlaqr3.o dlaqr4.o dlaqr5.o \
   dlaqtr.o dlar1v.o dlar2v.o iladlr.o iladlc.o \
   dlarf.o  dlarfb.o dlarfg.o dlarft.o dlarfx.o dlargv.o \
   dlarrv.o dlartv.o dlarfp.o \
   dlarz.o  dlarzb.o dlarzt.o dlaswp.o dlasy2.o dlasyf.o \
   dlatbs.o dlatdf.o dlatps.o dlatrd.o dlatrs.o dlatrz.o dlatzm.o dlauu2.o \
   dlauum.o dopgtr.o dopmtr.o dorg2l.o dorg2r.o \
   dorgbr.o dorghr.o dorgl2.o dorglq.o dorgql.o dorgqr.o dorgr2.o \
   dorgrq.o dorgtr.o dorm2l.o dorm2r.o \
   dormbr.o dormhr.o dorml2.o dormlq.o dormql.o dormqr.o dormr2.o \
   dormr3.o dormrq.o dormrz.o dormtr.o dpbcon.o dpbequ.o dpbrfs.o \
   dpbstf.o dpbsv.o  dpbsvx.o \
   dpbtf2.o dpbtrf.o dpbtrs.o dpocon.o dpoequ.o dporfs.o dposv.o  \
   dposvx.o dpotf2.o dpotrf.o dpotri.o dpotrs.o dpstrf.o dpstf2.o \
   dppcon.o dppequ.o \
   dpprfs.o dppsv.o  dppsvx.o dpptrf.o dpptri.o dpptrs.o dptcon.o \
   dpteqr.o dptrfs.o dptsv.o  dptsvx.o dpttrs.o dptts2.o drscl.o  \
   dsbev.o  dsbevd.o dsbevx.o dsbgst.o dsbgv.o  dsbgvd.o dsbgvx.o \
   dsbtrd.o  dspcon.o dspev.o  dspevd.o dspevx.o dspgst.o \
   dspgv.o  dspgvd.o dspgvx.o dsprfs.o dspsv.o  dspsvx.o dsptrd.o \
   dsptrf.o dsptri.o dsptrs.o dstegr.o dstein.o dstev.o  dstevd.o dstevr.o \
   dstevx.o dsycon.o dsyev.o  dsyevd.o dsyevr.o \
   dsyevx.o dsygs2.o dsygst.o dsygv.o  dsygvd.o dsygvx.o dsyrfs.o \
   dsysv.o  dsysvx.o \
   dsytd2.o dsytf2.o dsytrd.o dsytrf.o dsytri.o dsytrs.o dtbcon.o \
   dtbrfs.o dtbtrs.o dtgevc.o dtgex2.o dtgexc.o dtgsen.o \
   dtgsja.o dtgsna.o dtgsy2.o dtgsyl.o dtpcon.o dtprfs.o dtptri.o \
   dtptrs.o \
   dtrcon.o dtrevc.o dtrexc.o dtrrfs.o dtrsen.o dtrsna.o dtrsyl.o \
   dtrti2.o dtrtri.o dtrtrs.o dtzrqf.o dtzrzf.o dstemr.o \
   dsgesv.o dsposv.o dlag2s.o slag2d.o dlat2s.o \
   dlansf.o dpftrf.o dpftri.o dpftrs.o dsfrk.o dtfsm.o dtftri.o dtfttp.o \
   dtfttr.o dtpttf.o dtpttr.o dtrttf.o dtrttp.o \
   dgejsv.o  dgesvj.o  dgsvj0.o  dgsvj1.o \
   dgeequb.o dsyequb.o dpoequb.o dgbequb.o

DXLASRC = dgesvxx.o dgerfsx.o dla_gerfsx_extended.o dla_geamv.o		\
   dla_gercond.o dla_rpvgrw.o dsysvxx.o dsyrfsx.o			\
   dla_syrfsx_extended.o dla_syamv.o dla_syrcond.o dla_syrpvgrw.o	\
   dposvxx.o dporfsx.o dla_porfsx_extended.o dla_porcond.o		\
   dla_porpvgrw.o dgbsvxx.o dgbrfsx.o dla_gbrfsx_extended.o		\
   dla_gbamv.o dla_gbrcond.o dla_gbrpvgrw.o dla_lin_berr.o dlarscl2.o	\
   dlascl2.o dla_wwaddw.o

all: ../$(LAPACKLIB)

ifdef USEXBLAS
ALLXOBJ=$(DXLASRC) $(ALLXAUX)
endif

ALLOBJ=$(DLASRC) $(DZLAUX)	\
	$(ALLAUX)

../$(LAPACKLIB): $(ALLOBJ) $(ALLXOBJ)
	$(ARCH) $(ARCHFLAGS) $@ $(ALLOBJ) $(ALLXOBJ)
	$(RANLIB) $@

double: $(DLASRC) $(ALLAUX) $(DZLAUX)
	$(ARCH) $(ARCHFLAGS) ../$(LAPACKLIB) $(DLASRC) $(ALLAUX) \
	$(DZLAUX)
	$(RANLIB) ../$(LAPACKLIB)

$(ALLAUX): $(FRC)
$(DZLAUX): $(FRC)
$(DLASRC): $(FRC)
ifdef USEXBLAS
$(ALLXAUX): $(FRC)
$(DXLASRC): $(FRC)
endif

FRC:
	@FRC=$(FRC)

clean:
	rm -f *.o

.c.o: 
	$(CC) $(CFLAGS) -c $<

dlaruv.o: dlaruv.c ; $(CC) $(NOOPT)  -c $< -o $@
dla_wwaddw.o: dla_wwaddw.c ; $(CC) $(NOOPT)  -c $< -o $@

=== debian/changelog ===
starpu (1.4.9+dfsg-2build1) resolute; urgency=medium

  * No-change rebuild for libomp5 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Oct 2025 19:51:02 +0100

starpu (1.4.9+dfsg-2) unstable; urgency=medium

  * control: Disable rocblas and hipblas depends for now too.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 28 Oct 2025 23:35:43 +0100

starpu (1.4.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-7 into libstarpu-1.4-8 according to soname bump.
    - patches/hip-opencl: Upstreamed.
  * rules: Fix setting contrib dependencies.
  * copyright: Drop physical address of FSF.
  * control: Disable rocblas and hipblas build-depends for now.
  * watch: Bump version.
  * control: Turn papi whitelist into a blacklist. This enables support on
    riscv64 and loong64 (Closes: #1111435)
  * copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 Oct 2025 11:46:30 +0100

=== debian/rules ===
#!/usr/bin/make -f

# This may bring unexpected warnings/errors
undefine STARPU_DEVEL

DH_OPTIONS=-Bbuild

# These are the best versions that nvcc supports.
CONTRIB_GCC_VERSION  := 8
CONTRIB_CLANG_VERSION  := 8

ifeq ($(DEB_SOURCE),starpu-contrib)
# nvcc sometimes chokes on some gcc features
CC=cuda-gcc
CXX=cuda-g++
endif
OMPI_CC=$(CC)
export CC
export CXX
export OMPI_CC

export NVCCFLAGS = -Xcompiler -fPIC -Xcompiler -std=c++03
export HIPCCFLAGS = $(foreach arch,$(shell rocm-target-arch),--offload-arch=$(arch))

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CONFIGURE_NODOC = --disable-build-doc
endif

DO_PACKAGES := $(subst -contrib,,$(shell dh_listpackages))
ifneq (,$(filter libstarpu-openmp-llvm-1.4-1t64,$(DO_PACKAGES)))
OPENMP_LLVM=1
else
OPENMP_LLVM=0
endif

ifeq ($(OPENMP_LLVM),1)
CONFIGURE_OPENMP_LLVM = --enable-openmp-llvm
endif

%:
	dh $@ $(DH_OPTIONS)

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- \
		--enable-opengl-render \
		--enable-openmp \
		--enable-quick-check \
		--enable-mlr-system-blas \
		--enable-starpurm \
		--enable-starpurm-examples \
		--enable-maxnodes=16 \
		--enable-maxcpus=32 \
		--enable-maxnumanodes=4 \
		--enable-tcpip-master-slave \
		--docdir=/usr/share/doc/libstarpu-dev --disable-build-doc-pdf \
		$(CONFIGURE_OPENMP_LLVM) \
		$(CONFIGURE_NODOC)

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) -- -k
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C build showcheck
endif

override_dh_auto_install:
	dh_auto_install
ifeq ($(OPENMP_LLVM),1)
	# Debian does symlink libomp into libdir
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/starpu/examples/starpu_openmp_llvm/hello-task
endif

override_dh_dwz:
	:

override_dh_auto_clean:
	# No idea why salsa CI is adding +x on libsocl-1.3-0.install and libstarpu-1.3-5.install (and no others...)
	ls -l debian/*.install
	chmod -x debian/*.install
	dh_auto_clean $(DH_OPTIONS)
	rm -fr doc/doxygen/starpu.pdf
	rm -fr doc/doxygen/html
	rm -fr .starpu
	rm -fr .nv

# Switch to main rules
sw-main:
	sed -i 's/^starpu-contrib /starpu /' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i 's/Depends: libstarpu-contrib/Depends: libstarpu/' debian/control
	sed -i 's/^	libstarpu-contrib/	libstarpu/' debian/control
	sed -i 's/^	libsocl-contrib/	libsocl/' debian/control
	sed -i 's/Replaces: libstarpu-contrib/Replaces: libstarpu/' debian/control
	sed -i 's/Replaces: libsocl-contrib/Replaces: libsocl/' debian/control
	sed -i 's/Replaces: starpu-contrib/Replaces: starpu/' debian/control
	sed -i 's/Breaks: libstarpu-contrib/Breaks: libstarpu/' debian/control
	sed -i 's/Breaks: libsocl-contrib/Breaks: libsocl/' debian/control
	sed -i 's/Breaks: starpu-contrib/Breaks: starpu/' debian/control
	sed -i '/^Conflicts:/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i '/^Conflicts:/s/ libsocl/ libsocl-contrib/g' debian/control
	sed -i '/^Conflicts:/s/ starpu/ starpu-contrib/g' debian/control
	sed -i 's/^	nvidia-cuda-toolkit-gcc/#	nvidia-cuda-toolkit-gcc/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's/^ This "contrib" version/# This "contrib" version/' debian/control

# Switch to contrib rules
sw-contrib:
	sed -i 's/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i 's/Depends: libstarpu/Depends: libstarpu-contrib/' debian/control
	sed -i 's/^	libstarpu/	libstarpu-contrib/' debian/control
	sed -i 's/^	libsocl/	libsocl-contrib/' debian/control
	sed -i 's/Replaces: libstarpu/Replaces: libstarpu-contrib/' debian/control
	sed -i 's/Replaces: libsocl/Replaces: libsocl-contrib/' debian/control
	sed -i 's/Replaces: starpu/Replaces: starpu-contrib/' debian/control
	sed -i 's/Breaks: libstarpu/Breaks: libstarpu-contrib/' debian/control
	sed -i 's/Breaks: libsocl/Breaks: libsocl-contrib/' debian/control
	sed -i 's/Breaks: starpu/Breaks: starpu-contrib/' debian/control
	sed -i '/^Conflicts:/s/ libstarpu-contrib/ libstarpu/' debian/control
	sed -i '/^Conflicts:/s/ libsocl-contrib/ libsocl/' debian/control
	sed -i '/^Conflicts:/s/ starpu-contrib/ starpu/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit-gcc/	nvidia-cuda-toolkit-gcc/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control
	sed -i 's/^# This "contrib" version/ This "contrib" version/' debian/control

=== debian/watch ===
version=5
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
https://files.inria.fr/starpu/ \
(?:|.*/)starpu(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@

## starpu 1.4.10+dfsg

=== doc/tutorial/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2025  University of Bordeaux, CNRS (LaBRI UMR 5800), Inria
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.
#
CFLAGS          +=      $$(pkg-config --define-prefix --cflags starpu-1.4)
LDLIBS          +=      $$(pkg-config --define-prefix --libs starpu-1.4)

HAS_CUDA	=	$(shell starpu_config | grep 'STARPU_USE_CUDA 1')
NVCC		?=	nvcc -std=c++11
HAS_OPENCL	=	$(shell starpu_config | grep 'STARPU_USE_OPENCL 1')

%.o: %.cu
	$(NVCC) $(CFLAGS) $< -c

TARGETS = hello_world vector_scal

all: $(TARGETS)

VECTOR_SCAL_PREREQUISITES	=	vector_scal.o vector_scal_cpu.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PREREQUISITES	+=	vector_scal_cuda.o
VECTOR_SCAL_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_COMPILER		=	$(CC)
endif
ifneq ($(strip $(HAS_OPENCL)),)
VECTOR_SCAL_PREREQUISITES 	+=	vector_scal_opencl.o
LDLIBS				+=	-lOpenCL
endif

vector_scal: $(VECTOR_SCAL_PREREQUISITES)
	$(VECTOR_SCAL_COMPILER) $^ $(LDLIBS) -o $@ $(LDFLAGS)

clean:
	rm -f $(TARGETS) *.o

=== debian/changelog ===
starpu (1.4.10+dfsg-2) unstable; urgency=medium

  * patches/doxygen-choke: Fix typos making doxygen 1.9.15 choke
    (Closes: #1121854)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 04 Dec 2025 17:54:23 +0100

starpu (1.4.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-8 into libstarpu-1.4-9 according to soname bump.
  * patches/doxygen-hip: Avoid doxygen build warning.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Dec 2025 13:16:15 +0100

starpu (1.4.9+dfsg-3) unstable; urgency=medium

  * Upload for libomp transition/rename (Closes: Bug#1121396)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Nov 2025 20:34:00 +0100

=== debian/control ===
Source: starpu
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
	chrpath,
	pkgconf,
	libnuma-dev [linux-any],
	libglpk-dev,
	mpi-default-dev,
	libgl-dev,
	libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libleveldb-dev,
	libhdf5-dev,
	libfxt-dev, pajeng,
	libpapi-dev [!s390x !alpha !hurd-any !m68k !powerpc !sh4 !sparc64],
	python3-dev,
	libpython3-dev, python3-setuptools,
	python3-cloudpickle, python3-joblib, python3-numpy,
	clang      [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
	libomp-dev [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
	valgrind-if-available,
#	guile-2.2,
	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
	libamdhip64-dev [amd64 arm64 ppc64el], hipcc [amd64 arm64 ppc64el],
#	libhipblas-dev [amd64 arm64], librocblas-dev [amd64 arm64],
	pkg-rocm-tools,
	gfortran,
	help2man, doxygen,
#	nvidia-cuda-toolkit-gcc (>= 10.1),
Rules-Requires-Root: no
Standards-Version: 4.6.2
Section: libs
Homepage: https://starpu.gitlabpages.inria.fr/
Vcs-Git: https://salsa.debian.org/debian/starpu.git
Vcs-Browser: https://salsa.debian.org/debian/starpu

Package: libstarpu-dev
Section: libdevel
Architecture: any
Depends: libstarpu-1.4-9 (= ${binary:Version}) | libstarpu-any-1.4-9,
	libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
	libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1,
	libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3,
	libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1,
	libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1,
	${misc:Depends},
	libhwloc-dev,
	libpapi-dev [!s390x !alpha !hurd-any !m68k !powerpc !sh4 !sparc64],
	opencl-headers, ocl-icd-opencl-dev,
	libamdhip64-dev [amd64 arm64 ppc64el],
#	libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
Conflicts: libstarpu-contrib-dev
Provides: libstarpu-any-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.
# This "contrib" version is built against CUDA.

Package: libstarpu-1.4-9
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contrib-1.4-9
Provides: libstarpu-any-1.4-9
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library
# This "contrib" version is built against CUDA.

Package: libstarpu-openmp-llvm-1.4-1t64
Replaces: libstarpu-openmp-llvm-1.4-1
Breaks: libstarpu-openmp-llvm-1.4-1 (<< ${source:Version})
Architecture: amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contrib-openmp-llvm-1.4-1, libstarpu-contrib-openmp-llvm-1.4-1t64
Provides: ${t64:Provides}, libstarpu-any-openmp-llvm-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the runtime support for LLVM OpenMP.
# This "contrib" version is built against CUDA.

Package: libstarpufft-1.4-1t64
Replaces: libstarpufft-1.4-1
Breaks: libstarpufft-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribfft-1.4-1, libstarpu-contribfft-1.4-1t64
Provides: ${t64:Provides}, libstarpu-anyfft-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.
# This "contrib" version is built against CUDA.

Package: libstarpumpi-1.4-3t64
Replaces: libstarpumpi-1.4-3
Breaks: libstarpumpi-1.4-3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribmpi-1.4-3, libstarpu-contribmpi-1.4-3t64
Provides: ${t64:Provides}, libstarpu-anympi-1.4-3
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.
# This "contrib" version is built against CUDA.

Package: starpu-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-tools
Provides: starpu-any-tools
Recommends: python3:any
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.
# This "contrib" version is built against CUDA.

Package: starpu-examples
Section: science
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libstarpu-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
Replaces: libstarpu-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
Conflicts: starpu-contrib-examples
Provides: starpu-any-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.
# This "contrib" version is built against CUDA.

Package: libsocl-1.4-1t64
Replaces: libsocl-1.4-1
Breaks: libsocl-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsocl-contrib-1.4-1, libsocl-contrib-1.4-1t64
Provides: ${t64:Provides}, libsocl-any-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
# This "contrib" version is built against CUDA.

Package: libstarpurm-1.4-1t64
Replaces: libstarpurm-1.4-1
Breaks: libstarpurm-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribrm-1.4-1, libstarpu-contribrm-1.4-1t64
Provides: ${t64:Provides}, libstarpu-anyrm-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the resource management library.
# This "contrib" version is built against CUDA.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 undefine STARPU_DEVEL
 
 DH_OPTIONS=-Bbuild
-
-# These are the best versions that nvcc supports.
-CONTRIB_GCC_VERSION  := 8
-CONTRIB_CLANG_VERSION  := 8
 
 ifeq ($(DEB_SOURCE),starpu-contrib)
 # nvcc sometimes chokes on some gcc features
